package tutorial.core.repositories;

import java.util.List;
import tutorial.core.models.entities.Message;

/**
 * 
 * @author Xavier
 */
public interface MessageRepo {
    /**
     * 
     * @param data
     * @return 
     */
    public Message createMessage(Message data);
    
    /**
     * 
     * @return 
     */
    public List<Message> findAllMessages();
    
    /**
     * 
     * @param id
     * @return 
     */
    public Message findMessage(Long id);
    //public List<Message> findMessageByAccount(Long accountId);

    /**
     *
     */
    public void deleteAllMessages();
}
